import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

//body
const width = 960;
const height = 450
;
const centerX = width/2;
const centerY = height/2;
const strokeWidth = 10;

//eyes
const eyeOffsetX = 80;
const eyeOffsetY = 100;
const eyeRadius = 30;
const pupilRadius = 20;
const eyeWidth = 3;

//mouth
const mouthWidth = 100;
const mouthRadius = 0;


const mouthArc = arc()
  .innerRadius(mouthRadius)
  .outerRadius(mouthRadius + mouthWidth)
  .startAngle(Math.PI / 2)
  .endAngle(Math.PI * 3/2);

const App = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${centerX},${centerY})`}>
    	//face
      <circle  
      	r={centerY - strokeWidth/2}
      	fill="yellow"
      	stroke="black"
      	stroke-width={strokeWidth}
     	/>
      //right eye white
      <ellipse 
        cx={-eyeOffsetX} 
        cy={-eyeOffsetY}
        rx="50" 
        ry="30"
        fill="white"
        stroke="black"
      	stroke-width={eyeWidth}
  		/>

      //left eye color
    	<circle 
      	cx={-eyeOffsetX} 
      	cy={-eyeOffsetY}
      	r={eyeRadius}
        fill="turquoise"
    	/>
      //right eye white
      <ellipse 
        cx={eyeOffsetX} 
        cy={-eyeOffsetY}
        rx="50" 
        ry="30"
        fill="white"
        stroke="black"
      	stroke-width={eyeWidth}
  		/>
      //right eye color
    	<circle 
      	cx={eyeOffsetX} 
      	cy={-eyeOffsetY}
      	r={eyeRadius}
        fill="turquoise"
    	/>
      //left pupil
      <circle 
      	cx={-eyeOffsetX} 
      	cy={-eyeOffsetY}
      	r={pupilRadius}
    	/>
      //right pupil
    	<circle 
      	cx={eyeOffsetX} 
      	cy={-eyeOffsetY}
      	r={pupilRadius}
    	/>
      //right bowtie
        <polygon 
          points="10,190 200,150 200,220" 
          fill="turquoise"
          stroke="black"
          stroke-width={eyeWidth}
          />
			//left bowtie
      <polygon 
          points="-10,190 -200,150 -200,220" 
          fill="turquoise"
          stroke="black"
          stroke-width={eyeWidth}
          />
      //center bowtie
    	<circle 
      	cx="0"
      	cy="190"
      	r={eyeRadius}
        fill="turquoise"
        stroke="black"
        stroke-width="3"
        />
      //mouth
    	<path d={mouthArc()}/>
    </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);